CREATE TABLE cz_ui_images (
    UI_ID                    NUMBER(18, 0) ,
    START_MODEL_VERSION      NUMBER(18, 0) ,
    END_MODEL_VERSION        NUMBER(18, 0) ,
    MODEL_ID                 NUMBER(18, 0)     NOT NULL,
    ENTITY_CODE              VARCHAR2(120) ,
    IMAGE_USAGE_CODE         VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    IMAGE_FILE_LOCATION      VARCHAR2(4000)    NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    UI_ID                    NUMBER(18, 0) ,
    START_MODEL_VERSION      NUMBER(18, 0) ,
    END_MODEL_VERSION        NUMBER(18, 0) ,
    MODEL_ID                 NUMBER(18, 0)     NOT NULL,
    ENTITY_CODE              VARCHAR2(120) ,
    IMAGE_USAGE_CODE         VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    IMAGE_FILE_LOCATION      VARCHAR2(4000)    NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CONSTRAINT pk_cz_ui_images PRIMARY KEY (UI_ID, START_MODEL_VERSION, ENTITY_CODE, IMAGE_USAGE_CODE, UI_ID, START_MODEL_VERSION, ENTITY_CODE, IMAGE_USAGE_CODE)
);
